<!-- Navigation Bar -->
<nav class="navbar navbar-expand-sm sticky-top navbar-dark bg-dark">
    <div class="container-fluid">
        <a class="navbar-brand" [routerLink]="['']">Blogging Site</a>
        <button id="likeButton" type="button" class="btn btn-outline-primary">
            Like
        </button>
    </div>
</nav>

<!-- Show the blog -->
<div class="blog-post container my-4 border shadow-sm p-3 mb-5 bg-white rounded">
    <h2 class="blog-post-title">
        {{blog?.title}}
    </h2>
    <p class="blog-post-meta">
        {{blog?.categories}}
    </p>
    <hr />
    <p>
        {{blog?.content}}
    </p>

    <div class="row">
        <div class="col-md-1">
            <form action="" class="d-flex">
                <button class="btn btn-outline-warning" (click)="editBlog()">Edit</button>
            </form>
        </div>
        <div class="col-md-1">
            <form method="POST" action="" class="d-flex">
                <button class="btn btn-outline-danger" (click)="deleteBlog()" type="submit">
                    Delete
                </button>
            </form>
        </div>
    </div>
</div>